ComponentContainers (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.service.api.records, class: ComponentContainers

Package org.apache.hadoop.yarn.service.api.records

# Class ComponentContainers

java.lang.Object
org.apache.hadoop.yarn.service.api.records.ComponentContainers

All Implemented Interfaces:
  `Serializable`

@Public @Unstable public class ComponentContainers extends Object implements Serializable
Containers of a component.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentContainers()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addContainer(Container container)`
  Add a container.
  `ComponentContainers`
  `containers(List<Container> compContainers)`
  Sets the containers.
  `String`
  `getComponentName()`
  `List<Container>`
  `getContainers()`
  Returns the containers of the component.
  `ComponentContainers`
  `name(String name)`
  Name of the service component.
  `void`
  `setComponentName(String name)`
  `void`
  `setContainers(List<Container> containers)`
  Sets the containers.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ComponentContainers

    public ComponentContainers()

- ## Method Details

  - ### getComponentName

    public String getComponentName()

  - ### setComponentName

    public void setComponentName(String name)

  - ### name

    public ComponentContainers name(String name)
    Name of the service component.

  - ### getContainers

    public List<Container> getContainers()
    Returns the containers of the component.

  - ### setContainers

    public void setContainers(List<Container> containers)
    Sets the containers.
    Parameters:
      `containers` - containers of the component.

  - ### containers

    public ComponentContainers containers(List<Container> compContainers)
    Sets the containers.
    Parameters:
      `compContainers` - containers of the component.

  - ### addContainer

    public void addContainer(Container container)
    Add a container.
    Parameters:
      `container` - container